OFF_COLOR(1)

NAME
off_color - add colours to an OFF file

SYNOPSIS
off_color [options] [input_file]

DESCRIPTION
Read a file in OFF format and add colours to it. If input_file is not given the program reads from standard input.

A colour value can be a single integer (a colour index), a value in form 'R,G,B,A' (3 or 4 values 0.0-1.0, or 0-255) or hex 'xFFFFFF', a colour name from the X11 colour map, 'invisible' or 'none' (which sets without any colour information)

Lowercase letters (except l) colour using index numbers and uppercase letters colour using colour values. Symmetric colourings are optionally followed, separated by commas, by a subsymmetry (Schoenflies notation) and a conjugation type (integer)

Options

-h,--help this help message (run 'off_util -H help' for general help)

--version version information

-f <col>
    colour the faces according to:

    a colour value - apply to all faces u,U - unique colour p,P - minimal proper colouring s,S - symmetric colouring [,sub_group,conj_type] (see above) n,N - colour by number of sides a,A - colour by average internal angle (to nearest degree) k,K - sets of faces connected by face edges g,G - gradient on z-coordinate of normal c,C - gradient on z-coordinate of centroid L - lighting effect by normal (see option -l) l - lighting effect by centroid (see option -l) M - use colour map to convert existing colour index numbers

    into to values

-E <type> colour by edge type, e - explicit edges, i - implicit edges

    I - implicit edges which are not explicit edges (default: if -e explicit and implicit, else explicit for mapping only)

-e <col>
    colour the edges according to:

    a colour value - apply to all edges u,U - unique colour p,P - minimal proper colouring s,S - symmetric colouring [,sub_group,conj_type] (see above) k,K - sets of edges connected by edges F - colour with average adjoining face colour g,G - gradient on z-coordinate of edge direction c,C - gradient on z-coordinate of centroid L - lighting effect (see option -l) M - use colour map to convert existing colour index numbers

    into to values

-v <col>
    colour the vertices according to:

    a colour value - apply to all vertices u,U - unique colour p,P - minimal proper colouring s,S - symmetric colouring [,sub_group,conj_type] (see above) n,N - colour by order of vertex a,A - colour by avg internal ang of vert-fig (to nearest deg) F - colour with average adjoining face colour E - colour with average adjoining edge colour c,C - gradient on z-coordinate L - lighting effect (see option -l) M - use colour map to convert existing colour index numbers

    into to values

-l <file> lights for colouring type L in a file in OFF format, each

    vertex and its colour gives a light direction and colour (default: a set of six lights giving a rainbow colouring

-m <maps> a comma separated list of colour maps used to transform colour

    indexes (default: rand), a part consisting of letters from v, e, f, selects the element types to apply the map list to (default 'vef').

-r <rnge> Map HSVA values onto the specified HSVA ranges after other

    processing (but before -I), component letters are followed by one or two values separated by a colon e.g H0.5:0.8 followed by elements to map from v, e and f (H0:1,S0:1,V0:1,A0:1,vef)

-I <elms> map color values to index numbers (after other procesing)

    elements to map are from v, e and f (default none)

-w <wdth> width of sphere containing points (default: calculated)

-U <typs> colour only elements with particular current colour types:

    u - unset, i - indexed, v - visible colour value, x - invisible. ~ before the letter will select the opposite.

-o <file> write output to file (default: write to standard output)

SEE ALSO
The full documentation for off_color is maintained as a Texinfo manual. If the info and off_color programs are properly installed at your site, the command

    info off_color

should give you access to the complete manual.